import "PrimePlugins.PartyVitals"

Reloader = class(Turbine.UI.Control)
function Reloader:Constructor()
    Turbine.UI.Control.Constructor(self)
    self:SetWantsUpdates(true)
    self.reloaded = false
    self.Update = function()
        if self.reloaded then
            self:SetWantsUpdates(false)    
        elseif not(self.reloaded) then 
            Turbine.PluginManager.UnloadScriptState("~PrimePartyVitalsReloader")
            self.reloaded = true
            self:SetParent(nil)
        end
    end
end

function ReloadPlugin()
    Turbine.PluginManager.LoadPlugin("~PrimePartyVitalsReloader")
end

local r = Reloader()

UpdateSettings()
SetCommands()

Turbine.UI.Lotro.LotroUI.SetEnabled( Turbine.UI.Lotro.LotroUIElement.Party, false );

PartyVitals = PartyWindow()
--Turbine.UI.Lotro.LotroUI.SetEnabled( Turbine.UI.Lotro.LotroUIElement.Vitals, false );

Options = nil --OptionOptions()

ChatOutput("<rgb=#FF9900>"..plugin:GetName() .. " Version " .. plugin:GetVersion() .." loaded.</rgb>") 

plugin.Unload = function() 
    SaveData()
    Turbine.UI.Lotro.LotroUI.SetEnabled( Turbine.UI.Lotro.LotroUIElement.Party, true );
end